Class Specialization
Striped
Stripes a file across multiple files.

File

Striped

File<Chained<FileCount, TFile> >
Include Headers
seqan/file.h
Parameters

FileCount | The number of files used for striping. Default: 2
TFile | Underlying File type. Default: File<>, see File.

Remarks
This file type uses a software striping without redundance (see RAID0) to accelerate I/O access when using more than one disks.
Striped files should only be used in Pools or external Strings as they only support block operations and no random accesses.
Specialization of
File
Functions

asyncReadAt | Asynchronously loads records from a specific position in a file. (File)
asyncWriteAt | Asynchronously saves records to a specific position in a file. (File)
cancel | Cancels an asynchronous request. (File)
close | Closes a file. (File)
flush | Waits for all open requests to complete. (File)
open | Opens a file. (File)
openTemp | Opens a temporary file. (File)
read | Loads records from a file. (File)
readAt | Loads records from a specific position in a file. (File)
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value. (File)
rewind | Sets the current file pointer to the beginning. (File)
seek | Changes the current file pointer. (File)
setEof | Sets the file end to the current pointer. (File)
size | Gets the file size. (File)
tell | Gets the current file pointer. (File)
write | Saves records to a file. (File)
writeAt | Saves records to a specific position in a file. (File)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52